Subject: Re: Acces tape-unit with cygwin
From: Mark Himsley <[email-masked]>
To: Wim Versteeg <[email-masked]>
Cc: [email-masked]
Date: Wed, 03 Oct 2001 09:22:38 +0100

On Tue, 02 Oct 2001 21:46:13 +0200 you wrote:

>Don,
>
>Thanks for your quick reply. But unfortunately I can't find this tape-device
>(tape0) in de cygwin-directory or other dir's. Do I need to do an extra
>installation. Please could you inform me how to install/detect this tape-unit?

Did you *follow* the simple instructions?

The command:

mount -f -s -b "//./tape0" "/dev/st0"

mounts the device which Windows thinks is the first tape drive onto
Cygwin's /dev/st0. You can then control it with mt or just read/write data
from/to /dev/st0.

The /dev/nst* devices are non-rewind devices, just like Linux.

There is PLENTY of information in the archives and on the web site.

>Regards, Wim
>
>Don Sharp wrote:
>> 
>> Wim Versteeg wrote:
>> >
>> > Hallo,
>> >
>> > I installed CYGWIN on my PC under winNT without tape-unit. Today I connected a
>> > tape-unit via SCSI to my PC . The winNT backup system detects my drive. Could
>> > you inform me how to use/install this tape-unit under CYGWIN (by dd if=TAPE or
>> > tar....) This tar-option would be interesting for me!
>> >
>> 
>> You need to mount the tape decice(s) like
>> 
>> mount -f -s -b "//./tape0" "/dev/st0"
>> mount -f -s -b "//./tape0" "/dev/nst0"
>> 
>> Notice the norewind version above
>> 
>> You can now use
>> 
>> dd if=/dev/st0 bs=tape_block_size > file_on_disc
>> tar tf /dev/st0
>> 
>> and
>> 
>> mt -f /dev/nst0 fsf 1
>> 
>> I hope that helps.
>> 
>> > Regards, Wim Versteeg
>> >
>> >
>> Cheers
>> 
>> Don Sharp

--
Mark Himsley
In Acton

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/